class CfgPatches
{
  class cwr_islands_abel
  {
    units[]={};
    weapons[]={};
    worlds[]={"Abel"};
    requiredVersion=1.14;
    requiredAddons[]={"cwr_islands"};
  };
};

class DefaultLighting;
class CfgLocationTypes;

class CfgWorlds
{
  class DefaultClutter
  {
    scaleMin=0.9;
    scaleMax=1.4;
  };
  class DefaultWorld;
  class CAWorld: DefaultWorld
  {
    class Grid;
  };
  class CWR_baseWorld: CAWorld
  {
    class Grid: Grid
    {
      offsetX=0;
      offsetY=0;
      class Zoom1
      {
        zoomMax=0.2;
        format="XY";
        formatX="Aa";
        formatY="00";
        stepX=128;
        stepY=128;
      };
      class Zoom2
      {
        zoomMax=2147483647;
        format="XY";
        formatX="A";
        formatY="0";
        stepX=1280;
        stepY=1280;
      };
    };
  };
  class Abel: CWR_baseWorld
  {
    access=3;
    cutscenes[]={"AbelIntro1","AbelIntro2"};
    description="CWR Malden";
    icon="";
    worldName="\cwr\cwr_islands\cwr_abel\abel.wrp";
    pictureMap="";
    pictureShot="";
    plateFormat="ML$ - #####";
    plateLetters="ABCDEGHIKLMNOPRSTVXZ";
    longitude=15;
    latitude=-40;
    startTime="8:30";
    startDate="30/4/84";
    startWeather=0.3;
    startFog=0;
    forecastWeather=0.3;
    forecastFog=0;
    seagullPos[]={8074,4048,100};
    ilsPosition[]={7920.78,10964.7,0};
    ilsDirection[]={0,0.08,1};
    ilsTaxiOff[]={7920.78,10964.7,7920.78,9626.66,7927.48,9608.44,7941,9604.29,7972.56,9604.29,7984.86,9609.48,7990.83,9623.33,7990.83,9754.5};
    ilsTaxiIn[]={7990.83,9754.5,7990.83,10885,7985.12,10898,7972.86,10903.3,7940.84,10903.3,7928.25,10899.8,7920.78,10880.7,7920.78,10842.7};
    drawTaxiway=1;
    class SecondaryAirports
    {
      class Malden2
      {
        ilsPosition[]={1217,12150,0};
        ilsDirection[]={1,0.08,0};
        ilsTaxiIn[]={692,12112.5,1192,12112.5,1205.3,12115.8,1211.7,12121.5,1216.1,12129,1217.8,12137.4,1217.8,12143.8,1215.7,12150,1190.7,12150};
        ilsTaxiOff[]={1217,12150,562,12150,560,12143.8,560,12137.4,561.6,12129,566.1,12121.5,572.5,12115.8,585.8,12112.5,692,12112.5};
        drawTaxiway=0;
      };
    };
    centerPosition[]={6400,6400,0};
    class ReplaceObjects{};
    class Sounds
    {
      sounds[]={};
    };
    class Animation
    {
      vehicles[]={};
    };
    class Lighting: DefaultLighting{};
    clutterGrid=1.11;
    clutterDist=50;
    noDetailDist=40;
    fullDetailDist=5;
    minTreesInForestSquare=3;
    minRocksInRockSquare=4;
    class Clutter
    {
      class AbelRocks: DefaultClutter
      {
        model="CWR\CWR_statics\cwr_plants\Clutter_md_StoneSmall.p3d";
        affectedByWind=0;
        swLighting=1;
        scaleMin=0.5;
        scaleMax=1.3;
      };
      class AbelGrassLong: AbelRocks
      {
        model="CWR\CWR_statics\cwr_plants\ClutterFix_md_GrassLong.p3d";
        affectedByWind=0.8;
        scaleMin=0.6;
        scaleMax=1;
      };
      class AbelGrassShort: AbelRocks
      {
        model="CWR\CWR_statics\cwr_plants\ClutterFix_md_GrassShort.p3d";
        affectedByWind=0.6;
        scaleMin=0.5;
        scaleMax=1.2;
      };
      class AbelBeachShells: AbelRocks
      {
        model="CWR\CWR_statics\cwr_plants\cwr_clutter_seashells.p3d";
        affectedByWind=0;
        scaleMin=0.03;
        scaleMax=0.3;
      };
      class AbelFlowersColor: AbelRocks
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_smetanka.p3d";
        affectedByWind=0.3;
        scaleMin=0.75;
        scaleMax=1;
      };
      class AbelFlowersWhite: AbelRocks
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_white_flower.p3d";
        affectedByWind=0.3;
        scaleMin=0.75;
        scaleMax=1;
      };
    };
    class Subdivision
    {
      minY=0;
      minSlope=0.02;
      class Fractal
      {
        rougness=10;
        maxRoad=0.2;
        maxTrack=1;
        maxSlopeFactor=0.05;
      };
      class WhiteNoise
      {
        rougness=5;
        maxRoad=0.1;
        maxTrack=0.5;
        maxSlopeFactor=0.025;
      };
    };
    class Ambient
    {
      class BigBirds
      {
        radius=300;
        cost="((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
        class Species
        {
          class Hawk
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class Birds
      {
        radius=170;
        cost="(1 - night) * ((1 + (3 * sea)) - (2 * rain))";
        class Species
        {
          class Seagull
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class jays
      {
        radius=170;
        cost="((3 + forest + trees) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Jay
          {
            probability=1;
            cost=1;
          };
        };
      };
      class Crowes
      {
        radius=170;
        cost="((3 * hills) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Crow
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Eagles
      {
        radius=300;
        cost="((3 * hills) + (3 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_BaldEagle
          {
            probability=0.1;
            cost=1;
          };
        };
      };
      class Buzzards
      {
        radius=300;
        cost="((3 * hills) + (5 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Buzzard
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Pigeon
      {
        radius=170;
        cost="(6 * houses) * (1 - night) * (2 + sea)";
        class Species
        {
          class CWR_Pigeon
          {
            probability=0.4;
            cost=1;
          };
        };
      };
      class BigInsects
      {
        radius=20;
        cost="(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability="0.6 - (meadow * 0.5) + (forest * 0.4)";
            cost=1;
          };
          class ButterFly
          {
            probability="0.4 + (meadow * 0.5) - (forest * 0.4)";
            cost=1;
          };
        };
      };
      class BigInsectsAquatic
      {
        radius=20;
        cost="(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability=1;
            cost=1;
          };
        };
      };
      class WindClutter
      {
        radius=10;
        cost="((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
        class Species
        {
          class FxWindGrass1
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindGrass2
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindRock1
          {
            probability="0.4 * hills";
            cost=1;
          };
          class FxWindLeaf1
          {
            probability="0.2 * trees";
            cost=1;
          };
          class FxWindLeaf2
          {
            probability="0.1 * trees + 0.2";
            cost=1;
          };
          class FxWindLeaf3
          {
            probability="0.1 * trees";
            cost=1;
          };
        };
      };
      class NoWindClutter
      {
        radius=15;
        cost="(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
        class Species
        {
          class FxWindPollen1
          {
            probability=1;
            cost=1;
          };
        };
      };
      class SmallInsects
      {
        radius=3;
        cost="(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class HouseFly
          {
            probability="deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
            cost=1;
          };
          class HoneyBee
          {
            probability="(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
            cost=1;
          };
          class Mosquito
          {
            probability="(1 - deadBody) * (0.2 * forest)";
            cost=1;
          };
        };
      };
      class NightInsects
      {
        radius=3;
        cost="(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class Mosquito
          {
            probability=1;
            cost=1;
          };
        };
      };
    };
    class Names
    {
      class Abel_Arudy
      {
        name="Arudy";
        position[]={5535.14,6972.43};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_Cancon
      {
        name="Cancon";
        position[]={5410.86,2796.48};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_Chapoi
      {
        name="Chapoi";
        position[]={5844.23,3544.48};
        type="NameCity";
        radiusA=230;
        radiusB=230;
      };
      class Abel_Dourdan
      {
        name="Dourdan";
        position[]={7041.81,7118.19};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_Goisse
      {
        name="Goisse";
        position[]={3586.52,8514.66};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_LaPessagne
      {
        name="La Pessagne";
        position[]={3130.91,6346.96};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_Larche
      {
        name="Larche";
        position[]={6034,8599};
        type="NameCity";
        radiusA=230;
        radiusB=230;
      };
      class Abel_LaRiviere
      {
        name="La Riviere";
        position[]={3760.77,3200.31};
        type="NameCity";
        radiusA=230;
        radiusB=230;
      };
      class Abel_Houdan
      {
        name="Houdan";
        position[]={7136.93,6063.56};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_LePort
      {
        name="Le Port";
        position[]={8195.86,3127.09};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_Lolisse
      {
        name="Lolisse";
        position[]={5573.62,11190.3};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_SainteMarie
      {
        name="Sainte Marie";
        position[]={5555.38,4216.05};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_SaintLouis
      {
        name="Saint Louis";
        position[]={7144,8963};
        type="NameCity";
        radiusA=230;
        radiusB=230;
      };
      class Abel_Vigny
      {
        name="Vigny";
        position[]={3066.43,6833.86};
        type="NameVillage";
        radiusA=130;
        radiusB=130;
      };
      class Abel_LaTrinite
      {
        name="La Trinite";
        position[]={7262.02,7957.7};
        type="NameCityCapital";
        radiusA=270;
        radiusB=270;
      };
      class Abel_MaldenAirport
      {
        name="Aroport de Malden";
        position[]={7974.74,10217.9};
        type="NameLocal";
        radiusA=200;
        radiusB=200;
      };
      class Local_MareksCircle
      {
        name="Cercle de Marek";
        position[]={5813.65,10256.9};
        type="NameLocal";
        radiusA=10;
        radiusB=10;
      };
    };
  };
};

class CfgSurfaces
{
  class CWR_Default
  {
    access=2;
    files="default";
    rough=0.075;
    dust=0.1;
    isWater=0;
    friction=0.9;
    restitution=0;
    soundEnviron="normalExt";
    character="Empty";
    impact="default_Mat";
  };
  class CWR_Water
  {
    access=2;
    files="more_anim*";
    rough=0;
    dust=0;
    soundEnviron="water";
    friction=0.9;
    restitution=0;
    isWater=1;
    character="Empty";
    impact="default_Mat";
  };
  class GrassAbel: CWR_Default
  {
    access=2;
    files="abelgrass_*";
    rough=0.1;
    dust=0.2;
    soundEnviron="drygrass";
    character="AbelGrassClutter";
  };
  class SandDesertAbel: CWR_Default
  {
    access=2;
    files="abelsand_*";
    rough=0.2;
    dust=0.8;
    soundEnviron="sand";
    character="AbelSandClutter";
  };
  class SandBeachAbel: CWR_Default
  {
    access=2;
    files="abelbeach_*";
    rough=0.1;
    dust=0.5;
    soundEnviron="sand";
    character="AbelBeachClutter";
  };
  class RockAbel: CWR_Default
  {
    access=2;
    files="abelrock_*";
    rough=0.5;
    dust=0.2;
    soundEnviron="rock";
    character="Empty";
  };
  class CityAbel: CWR_Default
  {
    access=2;
    files="abeltown_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="gravel";
    character="AbelCityClutter";
  };
};

class CfgSurfaceCharacters
{
  class Empty
  {
    probability[]={};
    names[]={};
  };
  class AbelGrassClutter
  {
    probability[]={0.44,0.44,0.02,0.05,0.05};
    names[]={"AbelGrassShort","AbelGrassLong","AbelRocks","AbelFlowersWhite","AbelFlowersColor"};
  };
  class AbelSandClutter
  {
    probability[]={0.3,0.3,0.07};
    names[]={"AbelGrassLong","AbelGrassShort","AbelRocks"};
  };
  class AbelCityClutter
  {
    probability[]={0.8,0.02,0.02,0.04};
    names[]={"AbelGrassShort","AbelGrassLong","AbelRocks","AbelFlowersWhite"};
  };
  class AbelBeachClutter
  {
    probability[]={0.3,0.02};
    names[]={"AbelBeachShells","AbelRocks"};
  };
};

class CfgWorldList
{
  class abel{};
};

class CfgMissions
{
  class Cutscenes
  {
    class AbelIntro1
    {
      directory="cwr\cwr_islands\cwr_abel\data\scenes\intro.abel";
    };
    class AbelIntro2
    {
      directory="cwr\cwr_islands\cwr_abel\data\scenes\intro1.abel";
    };
  };
};