class CfgPatches
{
  class CWR_statics_buildings
  {
    units[]={"Land_CWR_HANGAR","Land_plechbud","Land_CWR_Fortress1","Land_CWR_Fortress2","Land_cwr_kasna_sucha","Land_kasna","Land_cwr_repair_center","Land_cwr_hospital","Land_cwr_ammostore2","CampEast","CampEastC","MASH","Table","TableMap","TablePub","VideoTable","Chair","ChairSmall","ChairX","ChairHangar","Phone","PhoneBase"};
    weapons[]={};
    requiredVersion=1.14;
    requiredAddons[]={"CABuildings"};
  };
  class CWR_buildings
  {
    units[]={};
    weapons[]={};
  };
};

class CfgVehicleClasses
{
  class CWR_Objects
  {
    displayName="CWR Objects";
  };
};

class CfgVehicles
{
  class NonStrategic;
  class Strategic;
  class Ruins;
  class House: NonStrategic
  {
    class DestructionEffects;
  };
  class Camp;
  class Thing;
  class FxCartridge;
  class FxCartridge_Small;
  class FxCartridgeSmall: FxCartridge_Small{};
  class Land_CWR_HANGAR: House
  {
    scope=2;
    side=3;
    vehicleClass="CWR_Objects";
    model="\cwr\cwr_statics\cwr_buildings\cwr_hangar";
    displayName="$STR_CWR_HANGAR_OFFICE";
    mapSize=25;
    armor=500;
    transportAmmo=30000000;
    transportRepair=200000000;
    animated=1;
    class AnimationSources
    {
      class Hangar_RightDoor
      {
        source="user";
        animPeriod=20;
      };
      class Hangar_MidDoor: Hangar_RightDoor
      {
        animPeriod=40;
      };
      class Hangar_LeftDoor: Hangar_RightDoor
      {
        animPeriod=20;
      };
      class Hangar_SideDoor: Hangar_RightDoor
      {
        animPeriod=1;
      };
    };
    class UserActions
    {
      class OpenHangarDoors
      {
        displayNameDefault="Open Hangar Doors";
        displayName="Open Hangar Doors";
        position="switch_pos";
        radius=3;
        onlyForPlayer=1;
        condition="this animationPhase ""Anim_MidDoor"" == 1";
        statement="{this animate [_x, 0]}foreach[""Anim_MidDoor"",""Anim_RightDoor"",""Anim_LeftDoor"",""Anim_LeftDoorGeo"",""Anim_RightDoorGeo""]";
      };
      class CloseHangarDoors
      {
        displayNameDefault="Close Hangar Doors";
        displayName="Close Hangar Doors";
        position="switch_pos";
        radius=3;
        onlyForPlayer=1;
        condition="this animationPhase ""Anim_MidDoor"" == 0";
        statement="{this animate [_x, 1]}foreach[""Anim_MidDoor"",""Anim_RightDoor"",""Anim_LeftDoor"",""Anim_LeftDoorGeo"",""Anim_RightDoorGeo""]";
      };
      class OpenSideDoor
      {
        displayNameDefault="$STR_DN_OUT_O_DOOR_DEFAULT";
        displayName="$STR_DN_OUT_O_DOOR";
        position="sideDoor_axis";
        radius=3;
        onlyForPlayer=1;
        condition="this animationPhase ""Anim_SideDoor"" == 0";
        statement="this animate [""Anim_SideDoor"", 1]";
      };
      class CloseSideDoor
      {
        displayNameDefault="$STR_DN_OUT_C_DOOR_DEFAULT";
        displayName="$STR_DN_OUT_C_DOOR";
        position="sideDoor_axis";
        radius=3;
        onlyForPlayer=1;
        condition="this animationPhase ""Anim_SideDoor"" == 1";
        statement="this animate [""Anim_SideDoor"", 0]";
      };
    };
  };
  class Land_PleChbud_ruins: Ruins
  {
    scope=1;
    vehicleClass="Ruins";
    model="\cwr\cwr_statics\cwr_buildings\PleChbud_ruins";
    displayName="PleChbud_ruins";
  };
  class Land_plechbud: House
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\plechbud";
    armor=100;
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\cwr\cwr_statics\cwr_buildings\PleChbud_ruins";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
  };
  class Houseplechbud: Land_plechbud{};
  class Land_CWR_Fortress1: Strategic
  {
    scope=1;
    animated=0;
    icon="\Ca\buildings\Icons\i_camosmall_CA.paa";
    model="\cwr\cwr_statics\cwr_buildings\cwr_fortress1";
    displayName="$STR_CWR_DN_FORTRESS_1";
    nameSound="bunker";
    accuracy=0.2;
    typicalCargo[]={};
    destrType="DestructBuilding";
    transportAmmo=0;
    transportRepair=0;
    transportFuel=0;
    mapSize=11;
    cost=0;
    armor=800;
  };
  class Land_CWR_Fortress2: Land_CWR_Fortress1
  {
    model="\cwr\cwr_statics\cwr_buildings\cwr_fortress2";
    icon="\Ca\buildings\Icons\i_Fortress_02_CA.paa";
    displayName="$STR_CWR_DN_FORTRESS_2";
    mapSize=5.5;
  };
  class Land_cwr_kasna_sucha: NonStrategic
  {
    animated=1;
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_kasna_sucha";
    displayName="$STR_CWR_DN_FOUNTAIN";
    simulation="fountain";
    sound="Fountain";
    animPeriod=1.33;
    cost=0;
  };
  class Land_kasna: Land_cwr_kasna_sucha
  {
    model="\ca\buildings\kasna";
    displayName="$STR_CWR_DN_FOUNTAIN";
  };
  class Land_cwr_repair_center: House
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_repair_center";
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\repair_center_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
    transportRepair=200000000;
    supplyRadius=4;
    armor=500;
  };
  class Houserepair_center: Land_cwr_repair_center{};
  class Land_cwr_hospital: House
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_hospital";
    icon="\ca\ui\data\hospital.paa";
    displayName="Hospital";
    armor=800;
    class DestructionEffects: DestructionEffects
    {
      class Ruin1
      {
        simulation="ruin";
        type="\ca\buildings\ruins\hospital_ruins.p3d";
        position="";
        intensity=1;
        interval=1;
        lifeTime=1;
      };
    };
    accuracy=0.3;
    attendant=1;
    mapSize=20;
    supplyRadius=9.3;
   };
  class Househospital: Land_cwr_hospital{};
  class Land_cwr_ammostore2: House
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_ammostore2";
    ladders[]={{ "start","end" },{ "start1","end1" },{ "start2","end2" }};
    destrType="DestructNo";
    supplyRadius=5.5;
    transportAmmo=30000000;
  };
  class Houseammostore2: Land_cwr_ammostore2{};
  class CampEast: Camp
  {
    scope=2;
    model="\cwr\cwr_statics\cwr_buildings\cwr_Stan_east";
    icon="\Ca\buildings\Icons\i_Stan_east_CA.paa";
    displayName="$STR_DN_TENT_EAST";
    accuracy=1000;
  };
  class CampEastC: CampEast
  {
    scope=1;
    displayName="$STR_DN_TENT_EAST_C";
  };
  class MASH: CampEast
  {
    model="\cwr\cwr_statics\cwr_buildings\cwr_MASH";
    icon="\cwr\cwr_statics\cwr_buildings\data\ico\cwr_MASH.paa";
    displayName="$STR_DN_MASH";
    nameSound="fieldhospital";
    accuracy=0.3;
    attendant=1;
    mapSize=6.4;
    supplyRadius=9.3;
  };
  class Table: Thing
  {
    scope=2;
    vehicleclass="Cwr_Objects";
    simulation="thing";
    model="\cwr\cwr_statics\cwr_buildings\furniture\stulsuplik_proxy.p3d";
    displayName="$STR_DN_TABLE";
    transportFuel=0;
    mapSize=0.7;
    accuracy=0.2;
    destrType="destructbuilding";
    cost=0;
   };
  class Tablemap: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\stulsuplikmapa.p3d";
    displayName="$STR_DN_TABLEMAP";
  };
  class TablePub: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\stul_hospodax.p3d";
    displayName="$STR_DN_TABLE_PUB";
  };
  class VideoTable: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\televizesvideem.p3d";
    displayName="$STR_DN_VIDEO";
  };
  class Chair: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\Zidle.p3d";
    displayName="$STR_DN_CHAIR";
  };
  class ChairSmall: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\Zidlicka.p3d";
    displayName="$STR_DN_CHAIR_SMALL";
  };
  class ChairX: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\zidle_x.p3d";
    displayName="$STR_DN_CHAIR_X";
  };
  class ChairHangar: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\Hangar_zidle.p3d";
    displayName="$STR_DN_CHAIR_HANGAR";
  };
  class Phone: Table
  {
    model="\cwr\cwr_statics\cwr_buildings\furniture\hangar_telefon.p3d";
    displayName="$STR_DN_PHONEHANG";
    destrType="destructno";
  };
  class PhoneBase: Phone
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\furniture\hangar_telefon_bez.p3d";
    displayName="$STR_DN_PHONEBASE";
  };
};

class CfgNonAIVehicles
{
  class StreetLamp
  {
    class Reflectors
    {
      class LampLight;
    };
  };
  class Land_cwr_lampazel: StreetLamp
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_lampazel";
    colorDiffuse[]={0.9,0.8,0.6};
    ambient[]={0.5,0.5,0.5,1};
    brightness=0.7;
    class Reflectors: Reflectors
    {
      class LampLight: LampLight
      {
        ambient[]={0.5,0.5,0.5,1};
        brightness=0.7;
      };
    };
  };
  class Land_cwr_lampa_cut: StreetLamp
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_lampa_cut";
    colorDiffuse[]={0.9,0.8,0.6};
    ambient[]={0.5,0.5,0.5,1};
    brightness=0.5;
    class Reflectors: Reflectors
    {
      class LampLight: LampLight
      {
        size=0.3;
        brightness=0.5;
      };
    };
  };
  class Land_cwr_hangarlamp: StreetLamp
  {
    scope=1;
    model="\cwr\cwr_statics\cwr_buildings\cwr_hangarlamp";
    colorDiffuse[]={0.9,0.8,0.6};
    ambient[]={0.5,0.5,0.5,1};
    brightness=0.7;
    class Reflectors: Reflectors
    {
      class LampLight: LampLight
      {
        ambient[]={0.5,0.5,0.5,1};
        brightness=0.7;
      };
    };
  };
};