class CfgPatches
{
  class cwr_islands_cain
  {
    units[]={};
    weapons[]={};
    worlds[]={"Cain"};
    requiredVersion=1.14;
    requiredAddons[]={"cwr_islands"};
  };
};

class DefaultLighting;
class CfgLocationTypes;

class CfgWorlds
{
  class DefaultClutter
  {
    scaleMin=0.9;
    scaleMax=1.4;
  };
  class DefaultWorld;
  class CAWorld: DefaultWorld
  {
    class Grid;
  };
  class CWR_baseWorld: CAWorld
  {
    class Grid: Grid
    {
      offsetX=0;
      offsetY=0;
      class Zoom1
      {
        zoomMax=0.2;
        format="XY";
        formatX="Aa";
        formatY="00";
        stepX=128;
        stepY=128;
      };
      class Zoom2
      {
        zoomMax=2147483647;
        format="XY";
        formatX="A";
        formatY="0";
        stepX=1280;
        stepY=1280;
      };
    };
  };
  class Cain: CWR_baseWorld
  {
    access=3;
    cutscenes[]={"CainIntro1","CainIntro2"};
    description="CWR Kolgujev";
    worldName="\cwr\cwr_islands\cwr_cain\cain.wrp";
    icon="";
    pictureMap="";
    pictureShot="";
    plateFormat="## - KO$ - #";
    plateLetters="ABCEHKMOPT";
    longitude=15;
    latitude=-40;
    startTime="8:30";
    startDate="30/4/84";
    startWeather=0.3;
    startFog=0;
    forecastWeather=0.3;
    forecastFog=0;
    seagullPos[]={8074,4048,100};
    centerPosition[]={6400,6400,0};
    ilsPosition[]={0,0,0};
    ilsDirection[]={0,0.08,-1};
    ilsTaxiIn[]={};
    ilsTaxiOff[]={};
    class ReplaceObjects{};
    class Sounds
    {
      sounds[]={};
    };
    class Animation
    {
      vehicles[]={};
    };
    class Lighting: DefaultLighting{};
    clutterGrid=1.11;
    clutterDist=50;
    noDetailDist=40;
    fullDetailDist=5;
    minTreesInForestSquare=3;
    minRocksInRockSquare=4;
    class clutter
    {
      class GrassGeneral: DefaultClutter
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_grass_general.p3d";
        affectedByWind=0.3;
        swLighting=1;
        scaleMin=0.75;
        scaleMax=1;
      };
      class GrassFlowers: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_grass_flowers.p3d";
      };
      class GrassLong: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_grass_long.p3d";
        affectedByWind=0.6;
        scaleMin=0.6;
        scaleMax=1.1;
      };
      class FixGrassLong: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutterfix_grass_long.p3d";
        affectedByWind=0.6;
        scaleMin=0.6;
        scaleMax=1;
      };
      class CainGrass: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_cain_grass.p3d";
        affectedByWind=0.6;
        scaleMin=0.6;
        scaleMax=1;
      };
      class GrassSevenbeauty: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_grass_sevenbaeuty.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassYellow: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_grass_yellow.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassDlouha: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_trava_dlouha.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassDesert: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_grass_desert.p3d";
      };
      class ForestFern: GrassGeneral
      {
        model="ca\plants\clutter_forest_fern.p3d";
        affectedByWind=0.1;
        scaleMin=0.9;
        scaleMax=1.3;
      };
      class Rocks: GrassGeneral
      {
        model="ca\rocks\clutter_stone_small.p3d";
        affectedByWind=0;
        scaleMin=0.6;
        scaleMax=1.2;
      };
      class BrokenBranches: GrassGeneral
      {
        model="ca\plants\vetev_3_borovice.p3d";
        affectedByWind=0;
        scaleMin=0.9;
        scaleMax=1.1;
      };
      class FlowersColor: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_smetanka.p3d";
      };
      class FlowersWhite: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_white_flower.p3d";
      };
      class MushroomsHorcak: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_horcak.p3d";
        affectedByWind=0;
        scaleMin=0.85;
        scaleMax=1.25;
      };
    };
    class Subdivision
    {
      minY=0;
      minSlope=0.02;
      class Fractal
      {
        rougness=10;
        maxRoad=0.2;
        maxTrack=1;
        maxSlopeFactor=0.05;
      };
      class WhiteNoise
      {
        rougness=5;
        maxRoad=0.1;
        maxTrack=0.5;
        maxSlopeFactor=0.025;
      };
    };
    class Ambient
    {
      class BigBirds
      {
        radius=300;
        cost="((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
        class Species
        {
          class Hawk
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class Birds
      {
        radius=170;
        cost="(1 - night) * ((1 + (3 * sea)) - (2 * rain))";
        class Species
        {
          class Seagull
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class jays
      {
        radius=170;
        cost="((3 + forest + trees) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Jay
          {
            probability=1;
            cost=1;
          };
        };
      };
      class Crowes
      {
        radius=170;
        cost="((3 * hills) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Crow
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Eagles
      {
        radius=300;
        cost="((3 * hills) + (3 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_BaldEagle
          {
            probability=0.1;
            cost=1;
          };
        };
      };
      class Buzzards
      {
        radius=300;
        cost="((3 * hills) + (5 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Buzzard
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Pigeon
      {
        radius=170;
        cost="(6 * houses) * (1 - night) * (2 + sea)";
        class Species
        {
          class CWR_Pigeon
          {
            probability=0.4;
            cost=1;
          };
        };
      };
      class BigInsects
      {
        radius=20;
        cost="(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability="0.6 - (meadow * 0.5) + (forest * 0.4)";
            cost=1;
          };
          class ButterFly
          {
            probability="0.4 + (meadow * 0.5) - (forest * 0.4)";
            cost=1;
          };
        };
      };
      class BigInsectsAquatic
      {
        radius=20;
        cost="(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability=1;
            cost=1;
          };
        };
      };
      class WindClutter
      {
        radius=10;
        cost="((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
        class Species
        {
          class FxWindGrass1
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindGrass2
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindRock1
          {
            probability="0.4 * hills";
            cost=1;
          };
          class FxWindLeaf1
          {
            probability="0.2 * trees";
            cost=1;
          };
          class FxWindLeaf2
          {
            probability="0.1 * trees + 0.2";
            cost=1;
          };
          class FxWindLeaf3
          {
            probability="0.1 * trees";
            cost=1;
          };
        };
      };
      class NoWindClutter
      {
        radius=15;
        cost="(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
        class Species
        {
          class FxWindPollen1
          {
            probability=1;
            cost=1;
          };
        };
      };
      class SmallInsects
      {
        radius=3;
        cost="(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class HouseFly
          {
            probability="deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
            cost=1;
          };
          class HoneyBee
          {
            probability="(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
            cost=1;
          };
          class Mosquito
          {
            probability="(1 - deadBody) * (0.2 * forest)";
            cost=1;
          };
        };
      };
      class NightInsects
      {
        radius=3;
        cost="(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class Mosquito
          {
            probability=1;
            cost=1;
          };
        };
      };
    };
    class Names
    {
      class Cain_vil_1
      {
        name="Voskovo";
        position[]={11435,10520.2};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class Cain_vil_2
      {
        name="Ladva-Vetka";
        position[]={9838.71,9382.34};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class Cain_vil_3
      {
        name="Oshta";
        position[]={9715.45,10063};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class Cain_vil_4
      {
        name="Velikaya";
        position[]={3331.86,6934.21};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class Cain_vil_6
      {
        name="Gabnavolok";
        position[]={6289.48,8061.68};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class Cain_vil_5
      {
        name="Kulmuska";
        position[]={4389.82,2836.59};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
    };
  };
};

class CfgSurfaces
{
  class CWR_Default
  {
    access=2;
    files="default";
    rough=0.075;
    dust=0.1;
    isWater=0;
    friction=0.9;
    restitution=0;
    soundEnviron="normalExt";
    character="Empty";
    impact="default_Mat";
  };
  class CWR_Water
  {
    access=2;
    files="more_anim*";
    rough=0;
    dust=0;
    soundEnviron="water";
    friction=0.9;
    restitution=0;
    isWater=1;
    character="Empty";
    impact="default_Mat";
  };
  class GrassCain: CWR_Default
  {
    access=2;
    files="caingrass_*";
    rough=0.1;
    dust=0.2;
    soundEnviron="drygrass";
    character="CainGrassClutter";
  };
  class SandCain: CWR_Default
  {
    access=2;
    files="cainsand_*";
    rough=0.2;
    dust=0.8;
    soundEnviron="sand";
    character="CainSandClutter";
  };
  class ForestCain: CWR_Default
  {
    access=2;
    files="cainforest_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="drygrass";
    character="CainForestClutter";
  };
  class RockCain: CWR_Default
  {
    access=2;
    files="cainrock_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="rock";
    character="CainRockClutter";
  };
  class FieldCain: CWR_Default
  {
    access=2;
    files="cainfield_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="drygrass";
    character="CainFieldClutter";
  };
  class UrbanCain: CWR_Default
  {
    access=2;
    files="cainurban_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="drygrass";
    character="empty";
  };
};

class CfgSurfaceCharacters
{
  class Empty
  {
    probability[]={};
    names[]={};
  };
  class CainGrassClutter
  {
    probability[]={0.8,0.05,0.02,0.13};
    names[]={"CainGrass","Rocks","FlowersColor","GrassLong"};
  };
  class CainSandClutter
  {
    probability[]={0.05,0.05};
    names[]={"GrassLong","Rocks"};
  };
  class CainForestClutter
  {
    probability[]={0.5,0.2,0.1,0.03,0.15,0.02};
    names[]={"CainGrass","ForestFern","GrassLong","BrokenBranches","Rocks","FlowersWhite"};
  };
  class CainRockClutter
  {
    probability[]={0.08};
    names[]={"Rocks"};
  };
  class CainFieldClutter
  {
    probability[]={0.3,0.3,0.2};
    names[]={"GrassDlouha","Rocks","GrassLong"};
  };
};

class CfgWorldList
{
  class cain{};
};

class CfgMissions
{
  class Cutscenes
  {
    class CainIntro1
    {
      directory="cwr\cwr_islands\cwr_cain\data\scenes\intro.cain";
    };
    class CainIntro2
    {
      directory="cwr\cwr_islands\cwr_cain\data\scenes\intro1.cain";
    };
  };
};