class CfgPatches
{
  class cwr_islands_eden
  {
    units[]={};
    weapons[]={};
    worlds[]={"Eden"};
    requiredVersion=1.14;
    requiredAddons[]={"CWR_islands"};
  };
};

class DefaultLighting;

class CfgWorlds
{
  class CWR_baseWorld;
  class Eden: CWR_baseWorld
  {
    access=3;
    cutscenes[]={"EdenIntro1","EdenIntro2"};
    description="CWR Everon";
    worldName="\cwr\cwr_islands\cwr_eden\eden.wrp";
    icon="";
    pictureMap="";
    pictureShot="";
    plateFormat="ER$  ## - ##";
    plateLetters="ABCDEFHIKLMOPRSTVXYZ";
    longitude=15;
    latitude=-40;
    startTime="8:30";
    startDate="30/4/84";
    startWeather=0.3;
    startFog=0;
    forecastWeather=0.3;
    forecastFog=0;
    seagullPos[]={10738,8509};
    ilsPosition[]={4772,10923};
    ilsDirection[]={0,0.08,-1};
    ilsTaxiIn[]={"4772+69","10923+400","4772+69","10923+95","4772+61","10923+87","4772+8","10923+87",4772,"10923+95",4772,"10923+150"};
    ilsTaxiOff[]={4772,10923,4772,"10923+878","4772+8","10923+886","4772+61","10923+886","4772+69","10923+878","4772+69","10923+400"};
    centerPosition[]={6400,6400,0};
    class ReplaceObjects{};
    class Sounds
    {
      sounds[]={};
    };
    class Animation
    {
      vehicles[]={};
    };
    class Lighting: DefaultLighting{};
    clutterGrid=1.11;
    clutterDist=50;
    noDetailDist=40;
    fullDetailDist=5;
    minTreesInForestSquare=3;
    minRocksInRockSquare=4;
    class Subdivision
    {
      class Fractal
      {
        rougness=5;
        maxRoad=0.02;
        maxTrack=0.5;
        maxSlopeFactor=0.05;
      };
      class WhiteNoise
      {
        rougness=2;
        maxRoad=0.01;
        maxTrack=0.05;
        maxSlopeFactor=0.0025;
      };
      minY=0;
      minSlope=0.02;
    };
    class Ambient
    {
      class BigBirds
      {
        radius=300;
        cost="((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
        class Species
        {
          class Hawk
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class Birds
      {
        radius=170;
        cost="(1 - night) * ((1 + (3 * sea)) - (2 * rain))";
        class Species
        {
          class Seagull
          {
            probability=0.2;
            cost=1;
          };
        };
      };
      class jays
      {
        radius=170;
        cost="((3 + forest + trees) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Jay
          {
            probability=1;
            cost=1;
          };
        };
      };
      class Crowes
      {
        radius=170;
        cost="((3 * hills) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Crow
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Eagles
      {
        radius=300;
        cost="((3 * hills) + (3 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_BaldEagle
          {
            probability=0.1;
            cost=1;
          };
        };
      };
      class Buzzards
      {
        radius=300;
        cost="((3 * hills) + (5 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
        class Species
        {
          class CWR_Buzzard
          {
            probability=0.3;
            cost=1;
          };
        };
      };
      class Pigeon
      {
        radius=170;
        cost="(6 * houses) * (1 - night) * (2 + sea)";
        class Species
        {
          class CWR_Pigeon
          {
            probability=0.4;
            cost=1;
          };
        };
      };
      class BigInsects
      {
        radius=20;
        cost="(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability="0.6 - (meadow * 0.5) + (forest * 0.4)";
            cost=1;
          };
          class ButterFly
          {
            probability="0.4 + (meadow * 0.5) - (forest * 0.4)";
            cost=1;
          };
        };
      };
      class BigInsectsAquatic
      {
        radius=20;
        cost="(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
        class Species
        {
          class DragonFly
          {
            probability=1;
            cost=1;
          };
        };
      };
      class WindClutter
      {
        radius=10;
        cost="((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
        class Species
        {
          class FxWindGrass1
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindGrass2
          {
            probability="0.4 - 0.2 * hills - 0.2 * trees";
            cost=1;
          };
          class FxWindRock1
          {
            probability="0.4 * hills";
            cost=1;
          };
          class FxWindLeaf1
          {
            probability="0.2 * trees";
            cost=1;
          };
          class FxWindLeaf2
          {
            probability="0.1 * trees + 0.2";
            cost=1;
          };
          class FxWindLeaf3
          {
            probability="0.1 * trees";
            cost=1;
          };
        };
      };
      class NoWindClutter
      {
        radius=15;
        cost="(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
        class Species
        {
          class FxWindPollen1
          {
            probability=1;
            cost=1;
          };
        };
      };
      class SmallInsects
      {
        radius=3;
        cost="(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class HouseFly
          {
            probability="deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
            cost=1;
          };
          class HoneyBee
          {
            probability="(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
            cost=1;
          };
          class Mosquito
          {
            probability="(1 - deadBody) * (0.2 * forest)";
            cost=1;
          };
        };
      };
      class NightInsects
      {
        radius=3;
        cost="(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
        class Species
        {
          class Mosquito
          {
            probability=1;
            cost=1;
          };
        };
      };
    };
    class clutter
    {
      class GrassGeneral
      {
        model="ca\plants\clutter_grass_general.p3d";
        affectedByWind=0.3;
        swLighting=1;
        scaleMin=0.75;
        scaleMax=1;
      };
      class GrassFlowers: GrassGeneral
      {
        model="ca\plants\clutter_grass_flowers.p3d";
      };
      class GrassLong: GrassGeneral
      {
        model="ca\plants\clutter_grass_long.p3d";
        affectedByWind=0.6;
        scaleMin=0.6;
        scaleMax=1.1;
      };
      class FixGrassLong: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutterfix_grass_long.p3d";
        affectedByWind=0.6;
        scaleMin=0.6;
        scaleMax=1.1;
      };
      class GrassSevenbeauty: GrassGeneral
      {
        model="ca\plants\clutter_grass_sevenbaeuty.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassYellow: GrassGeneral
      {
        model="ca\plants\clutter_grass_yellow.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassDesert: GrassGeneral
      {
        model="ca\plants\clutter_grass_desert.p3d";
      };
      class GrassDlouha: GrassGeneral
      {
        model="cwr\CWR_statics\cwr_plants\clutters\clutter_trava_dlouha.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class ForestFern: GrassGeneral
      {
        model="ca\plants\clutter_forest_fern.p3d";
        affectedByWind=0.1;
        scaleMin=0.9;
        scaleMax=1.1;
      };
      class SmallRocks: GrassGeneral
      {
        model="ca\rocks\clutter_stone_small.p3d";
        affectedByWind=0;
        scaleMin=0.9;
        scaleMax=1.1;
      };
      class FlowersColor: GrassGeneral
      {
        model="ca\plants\clutter_smetanka.p3d";
      };
      class FlowersWhite: GrassGeneral
      {
        model="ca\plants\clutter_white_flower.p3d";
      };
      class MushroomsHorcak: GrassGeneral
      {
        model="ca\plants\clutter_horcak.p3d";
        affectedByWind=0;
        scaleMin=0.85;
        scaleMax=1.25;
      };
      class MushroomsPrasivka: MushroomsHorcak
      {
        model="ca\plants\clutter_prasivky.p3d";
      };
      class MushroomsBabka: MushroomsHorcak
      {
        model="ca\plants\clutter_babka.p3d";
      };
      class MushroomsMuchomurka: MushroomsHorcak
      {
        model="ca\plants\clutter_muchomurka.p3d";
      };
      class BrokenBranches: GrassGeneral
      {
        model="ca\plants\vetev_3_borovice.p3d";
        affectedByWind=0;
        scaleMin=0.9;
        scaleMax=1.1;
      };
    };
    class Names
    {
      class eden_vil_SaintPierre
      {
        name="Saint Pierre";
        position[]={9662,1605};
        type="NameCityCapital";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Chotain
      {
        name="Chotain";
        position[]={7057,5987};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Durras
      {
        name="Durras";
        position[]={8835,2710};
        type="NameCity";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_EntreDeux
      {
        name="Entre Deux";
        position[]={5735,7059};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class eden_vil_Figari
      {
        name="Figari";
        position[]={5283,5375};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Lamentin
      {
        name="Lamentin";
        position[]={1333,5962};
        type="NameCity";
        radiusA=100;
        radiusB=100;
      };
      class eden_vil_Laruns
      {
        name="Laruns";
        position[]={7556,5558};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_LeMoule
      {
        name="Le Moule";
        position[]={2590,5384};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Levie
      {
        name="Levie";
        position[]={7554,4737};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Meaux
      {
        name="Meaux";
        position[]={4524,9549};
        type="NameCity";
        radiusA=100;
        radiusB=100;
      };
      class eden_vil_Montignac
      {
        name="Montignac";
        position[]={4935,6994};
        type="NameCityCapital";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Morton
      {
        name="Morton";
        position[]={5159,3943};
        type="NameCity";
        radiusA=100;
        radiusB=100;
      };
      class eden_vil_Provins
      {
        name="Provins";
        position[]={5501,6050};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Regina
      {
        name="Regina";
        position[]={7197,2347};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_SaintPhillippe
      {
        name="Saint Phillippe";
        position[]={4674,10730};
        type="NameCity";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Tyrone
      {
        name="Tyrone";
        position[]={4946,9056};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_vil_Vernon
      {
        name="Vernon";
        position[]={9142,2159};
        type="NameVillage";
        radiusA=50;
        radiusB=50;
      };
      class eden_airport
      {
        name="Everon Airport";
        position[]={4825.12,12006.3};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
      class eden_local_Helfenburk
      {
        name="Helfenburk Ruins";
        position[]={9380.46,1116.97};
        type="NameLocal";
        radiusA=100;
        radiusB=100;
      };
      class eden_vil_Gravette
      {
        name="Gravette";
        position[]={4116.64,7753.69};
        type="NameVillage";
        radiusA=100;
        radiusB=100;
      };
    };
  };
};

class CfgSurfaces
{
  class CWR_Default;
  class CWR_Water;
  class GrassEden: CWR_Default
  {
    access=2;
    files="edengrass_*";
    rough=0.1;
    dust=0.2;
    soundEnviron="drygrass";
    character="EdenGrassClutter";
  };
  class SandEden: CWR_Default
  {
    access=2;
    files="edenbeach_*";
    rough=0.2;
    dust=0.8;
    soundEnviron="sand";
    character="EdenSandClutter";
  };
  class ForestEden: CWR_Default
  {
    access=2;
    files="edenforest_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="gravel";
    character="EdenForestClutter";
  };
  class RockEden: CWR_Default
  {
    access=2;
    files="edenrockb_*,edenrockd_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="rock";
    character="EdenRockClutter";
  };
  class FieldEden: CWR_Default
  {
    access=2;
    files="edenfield_*";
    rough=0.01;
    dust=0.05;
    soundEnviron="gravel";
    character="EdenFieldClutter";
  };
};

class CfgSurfaceCharacters
{
  class Empty
  {
    probability[]={};
    names[]={};
  };
  class EdenGrassClutter
  {
    probability[]={0.7,0.1,0.02,0.05,0.1,0.03};
    names[]={"FixGrassLong","GrassDesert","SmallRocks","FlowersColor","GrassLong","FlowersWhite"};
  };
  class EdenSandClutter
  {
    probability[]={0.04,0.05};
    names[]={"GrassLong","SmallRocks"};
  };
  class EdenForestClutter
  {
    probability[]={0.5,0.15,0.03,0.05,0.02,0.03};
    names[]={"FixGrassLong","ForestFern","BrokenBranches","SmallRocks","FlowersWhite","MushroomsMuchomurka"};
  };
  class EdenRockClutter
  {
    probability[]={0.08};
    names[]={"SmallRocks"};
  };
  class EdenFieldClutter
  {
    probability[]={0.3,0.3,0.2};
    names[]={"GrassDlouha","SmallRocks","GrassLong"};
  };
};

class CfgWorldList
{
  class eden{};
};

class CfgMissions
{
  class Cutscenes
  {
    class EdenIntro1
    {
      directory="cwr\cwr_islands\cwr_eden\data\scenes\intro.eden";
    };
    class EdenIntro2
    {
      directory="cwr\cwr_islands\cwr_eden\data\scenes\intro1.eden";
    };
 };
};