class CfgPatches
{
  class cwr_islands_intro
  {
    units[]={};
    weapons[]={};
    worlds[]={"CWR_Intro"};
    requiredVersion=1.14;
    requiredAddons[]={"cwr_islands"};
  };
};

class DefaultLighting;

class CfgWorlds
{
  class DefaultClutter
  {
    scaleMin=0.9;
    scaleMax=1.4;
  };
  class DefaultWorld;
  class CAWorld: DefaultWorld
  {
    class Grid;
  };
  class CWR_baseWorld: CAWorld
  {
    class Grid: Grid
    {
      offsetX=0;
      offsetY=0;
      class Zoom1
      {
        zoomMax=0.2;
        format="XY";
        formatX="Aa";
        formatY="00";
        stepX=128;
        stepY=128;
      };
      class Zoom2
      {
        zoomMax=2147483647;
        format="XY";
        formatX="A";
        formatY="0";
        stepX=1280;
        stepY=1280;
      };
    };
  };
  class CWR_Intro: CWR_baseWorld
  {
    access=3;
    cutscenes[]={"IntroIntro1"};
    description="CWR Desert Island";
    worldName="\cwr\cwr_islands\cwr_intro\intro.wrp";
    icon="";
    pictureMap="";
    pictureShot="";
    plateFormat="DI$ - #####";
    plateLetters="ABCDEGHIKLMNOPRSTVXZ";
    longitude=-40;
    latitude=-40;
    startTime="8:30";
    startDate="10/5/2001";
    startWeather=0.1;
    startFog=0;
    forecastWeather=0.3;
    forecastFog=0;
    seagullPos[]={8897,4349,100};
    ilsPosition[]={0,0,0};
    ilsDirection[]={0,0.08,1};
    ilsTaxiIn[]={};
    ilsTaxiOff[]={};
    centerPosition[]={9735,3964,0};
    class ReplaceObjects{};
    class Sounds
    {
      sounds[]={};
    };
    class Animation
    {
      vehicles[]={};
    };
    class Lighting: DefaultLighting{};
    clutterGrid=1.11;
    clutterDist=55;
    noDetailDist=40;
    fullDetailDist=5;
    minTreesInForestSquare=3;
    minRocksInRockSquare=4;
    class clutter
    {
      class GrassGeneral
      {
        model="ca\plants\clutter_grass_general.p3d";
        affectedByWind=0.3;
        swLighting=1;
        scaleMin=0.75;
        scaleMax=1;
      };
      class GrassFlowers: GrassGeneral
      {
        model="ca\plants\clutter_grass_flowers.p3d";
      };
      class GrassLong: GrassGeneral
      {
        model="ca\plants\clutter_grass_long.p3d";
        affectedByWind=0.6;
        scaleMin=0.6;
        scaleMax=1.1;
      };
      class GrassSevenbeauty: GrassGeneral
      {
        model="ca\plants\clutter_grass_sevenbaeuty.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassYellow: GrassGeneral
      {
        model="ca\plants\clutter_grass_yellow.p3d";
        affectedByWind=0.2;
        scaleMin=0.7;
        scaleMax=1.1;
      };
      class GrassDesert: GrassGeneral
      {
        model="ca\plants\clutter_grass_desert.p3d";
      };
      class ForestFern: GrassGeneral
      {
        model="ca\plants\clutter_forest_fern.p3d";
        affectedByWind=0.1;
        scaleMin=0.9;
        scaleMax=1.1;
      };
      class SmallRocks: GrassGeneral
      {
        model="ca\rocks\clutter_stone_small.p3d";
        affectedByWind=0;
        scaleMin=0.9;
        scaleMax=1.1;
      };
      class FlowersColor: GrassGeneral
      {
        model="ca\plants\clutter_smetanka.p3d";
      };
      class FlowersWhite: GrassGeneral
      {
        model="ca\plants\clutter_white_flower.p3d";
      };
      class MushroomsHorcak: GrassGeneral
      {
        model="ca\plants\clutter_horcak.p3d";
        affectedByWind=0;
        scaleMin=0.85;
        scaleMax=1.25;
      };
      class MushroomsPrasivka: MushroomsHorcak
      {
        model="ca\plants\clutter_prasivky.p3d";
      };
      class MushroomsBabka: MushroomsHorcak
      {
        model="ca\plants\clutter_babka.p3d";
      };
      class MushroomsMuchomurka: MushroomsHorcak
      {
        model="ca\plants\clutter_muchomurka.p3d";
      };
    };
    class Subdivision
    {
      class Fractal
      {
        rougness=5;
        maxRoad=0.02;
        maxTrack=0.5;
        maxSlopeFactor=0.05;
      };
      class WhiteNoise
      {
        rougness=2;
        maxRoad=0.01;
        maxTrack=0.05;
        maxSlopeFactor=0.0025;
      };
      minY=0;
      minSlope=0.02;
    };
    class Ambient
    {
      class BigBirds
      {
        radius=300;
        cost="((1 + forest + trees) - ((2 * rain)) - houses) * (1 - night) * (1 - sea)";
        class Species
        {
          class Hawk
          {
          probability=0.2;
          cost=1;
        };
      };
    };
    class Birds
    {
      radius=170;
      cost="(1 - night) * ((1 + (3 * sea)) - (2 * rain))";
      class Species
      {
        class Seagull
        {
          probability=0.2;
          cost=1;
        };
      };
    };
    class jays
    {
      radius=170;
      cost="((3 + forest + trees) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
      class Species
      {
        class CWR_Jay
        {
          probability=1;
          cost=1;
        };
      };
    };
    class Crowes
    {
      radius=170;
      cost="((3 * hills) - ((1 * rain)) - (2 * houses)) * (1 - night) * (1 - sea)";
      class Species
      {
        class CWR_Crow
        {
          probability=0.3;
          cost=1;
        };
      };
    };
    class Eagles
    {
      radius=300;
      cost="((3 * hills) + (3 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
      class Species
      {
        class CWR_BaldEagle
        {
          probability=0.1;
          cost=1;
        };
      };
     };
    class Buzzards
    {
      radius=300;
      cost="((3 * hills) + (5 * meadow) - (1 * rain)) - (3 * houses)) * (1 - night) * (1 - sea)";
      class Species
      {
        class CWR_Buzzard
        {
          probability=0.3;
          cost=1;
        };
      };
    };
    class Pigeon
    {
      radius=170;
      cost="(6 * houses) * (1 - night) * (2 + sea)";
      class Species
      {
        class CWR_Pigeon
        {
          probability=0.4;
          cost=1;
        };
      };
    };
    class BigInsects
    {
      radius=20;
      cost="(5 - (2 * houses)) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
      class Species
      {
        class DragonFly
        {
          probability="0.6 - (meadow * 0.5) + (forest * 0.4)";
          cost=1;
        };
        class ButterFly
        {
          probability="0.4 + (meadow * 0.5) - (forest * 0.4)";
          cost=1;
        };
      };
    };
    class BigInsectsAquatic
    {
      radius=20;
      cost="(3 * sea) * (1 - night) * (1 - rain) * (1 - windy)";
      class Species
      {
        class DragonFly
        {
          probability=1;
          cost=1;
        };
      };
    };
    class WindClutter
    {
      radius=10;
      cost="((20 - 5 * rain) * (3 * (windy factor [0.2, 0.5]))) * (1 - sea)";
      class Species
      {
        class FxWindGrass1
        {
          probability="0.4 - 0.2 * hills - 0.2 * trees";
          cost=1;
        };
        class FxWindGrass2
        {
          probability="0.4 - 0.2 * hills - 0.2 * trees";
          cost=1;
        };
        class FxWindRock1
        {
          probability="0.4 * hills";
          cost=1;
        };
        class FxWindLeaf1
        {
          probability="0.2 * trees";
          cost=1;
        };
        class FxWindLeaf2
        {
          probability="0.1 * trees + 0.2";
          cost=1;
        };
        class FxWindLeaf3
        {
          probability="0.1 * trees";
          cost=1;
        };
      };
    };
    class NoWindClutter
    {
      radius=15;
      cost="(20 * (windy factor [0.1, 0.2])) * meadow * (1 - rain) * (1 - sea) * (1 - forest) * (1 - houses)";
      class Species
      {
        class FxWindPollen1
        {
          probability=1;
          cost=1;
        };
      };
    };
    class SmallInsects
    {
      radius=3;
      cost="(12 - 8 * hills) * (1 - night) * (1 - rain) * (1 - sea) * (1 - windy)";
      class Species
      {
        class HouseFly
        {
          probability="deadBody + (1 - deadBody) * (0.5 - forest * 0.1 - meadow * 0.2)";
          cost=1;
        };
        class HoneyBee
        {
          probability="(1 - deadBody) * (0.5 - forest * 0.1 + meadow * 0.2)";
          cost=1;
        };
        class Mosquito
        {
          probability="(1 - deadBody) * (0.2 * forest)";
          cost=1;
        };
      };
    };
    class NightInsects
    {
      radius=3;
      cost="(9 - 8 * hills) * night * (1 - rain) * (1 - sea) * (1 - windy)";
      class Species
      {
        class Mosquito
        {
          probability=1;
          cost=1;
        };
      };
    };
  };
  class Names {};
	};
};

class CfgWorldList
{
  class CWR_Intro{};
};

class CfgMissions
{
  class Cutscenes
  {
    class IntroIntro1
    {
      directory="cwr\cwr_islands\cwr_intro\data\scenes\CWR_Intro.CWR_Intro";
    };
  };
};